package no.rune.mavenplugins.dla.aspectj;

import org.apache.maven.plugin.logging.Log;
import org.aspectj.bridge.IMessage;
import org.aspectj.bridge.MessageHandler;


/**
 * 
 * @author Rune Flobakk
 */
public abstract class AbstractMavenMessageHandler extends MessageHandler
{

    /**
     * Maven log object.
     */
    protected Log log;
    
    
    protected boolean encounteredErrors;
    
    
    public AbstractMavenMessageHandler( Log log )
    {
        this.log = log;
        this.encounteredErrors = false;
    }
    
        
    
    
    /**
     * @see org.aspectj.bridge.MessageHandler#handleMessage(org.aspectj.bridge.IMessage)
     */
    @Override
    public boolean handleMessage( IMessage message )
    {
        IMessage.Kind messageKind = message.getKind();
        if( messageKind.equals( IMessage.ERROR ) )
        {
            handleError( message );
            encounteredErrors = true;
        }
        else if( messageKind.equals( IMessage.WARNING ) )
        {
            handleWarning( message );
            encounteredErrors = true;
        }
        else
            log.debug( message.getMessage() );
        
        return super.handleMessage( message );
    }


    


    public abstract void handleWarning( IMessage message );
    
    public abstract void handleError( IMessage message );
    

}
