package no.rune.mavenplugins.dla.aspectj;

import org.apache.maven.plugin.logging.Log;
import org.aspectj.bridge.IMessage;



/**
 * @author Rune Flobakk
 */
public class ConsoleReporterMessageHandler extends AbstractMavenMessageHandler
{

    /**
     * Create a new handler which will do simple console reporting
     * of any design and architecture breaches
     * 
     * @param log Maven log object 
     */
    public ConsoleReporterMessageHandler( Log log )
    {
        super( log );
    }

    
    
    /**
     * @see no.rune.mavenplugins.dla.aspectj.AbstractMavenMessageHandler#handleError(org.aspectj.bridge.IMessage)
     */
    @Override
    public void handleError( IMessage message )
    {
        log.error( message.getMessage() );
        log.error( message.getDetails() );
    }

    /**
     * @see no.rune.mavenplugins.dla.aspectj.AbstractMavenMessageHandler#handleWarning(org.aspectj.bridge.IMessage)
     */
    @Override
    public void handleWarning( IMessage message )
    {
        log.warn( message.getMessage() );
        log.warn( message.getDetails() );
    }
    
    
    



    
    

}
