package no.rune.mavenplugins.dla.processor;


/**
 * This defines a transformer interface which implementing classes
 * must define the <code>transform</code> method to accept data
 * which it will transform according to how the class is instantiated.
 * 
 * @param IN  The type of the input data for the processor.
 * @param OUT The type of the output the processor will generate.
 * @author Rune Flobakk
 */
public interface Processor<IN,OUT>
{
    /**
     * This method will transform a document into
     * another format.
     * 
     * @param source The source document.
     * @return The transformed document.
     */
    public OUT process( IN source ) throws ProcessingException;
}
