package no.rune.mavenplugins.dla.utils;

import java.io.File;
import java.io.FileFilter;
import java.util.Collection;
import java.util.Collections;
import java.util.LinkedList;

import no.rune.mavenplugins.dla.AspectGeneratorMojo;



/**
 * @author Rune Flobakk
 */
public class FileUtil
{


    /**
     * Retrive a list of all files in a directory and its subdirectories.
     * @param directory The directory to scan.
     * @param filter any FileFilter to use.
     * @return array containing the files.
     */
    public static File[] recursiveScanDir( File directory, FileFilter filter )
    {
        Collection<File> files = new LinkedList<File>();


        // This is to generate a design violation which is
        // picked up by the dla-maven-plugin
        //AspectGeneratorMojo mojo = new AspectGeneratorMojo();
        //mojo.getLog();
        //----------------------------------------------------


        for( File file : directory.listFiles( filter ) )
        {
            if( file.isDirectory() )
                Collections.addAll( files, recursiveScanDir( file, filter ) );
            else
                files.add( file );
        }


        return files.toArray( new File[]{} );
    }




}
