package no.rune.mavenplugins.dla.processor;


import java.io.FileInputStream;
import java.io.Reader;
import java.io.StringReader;



import junit.framework.TestCase;


public class TestXslTransformer extends TestCase
{

    private Processor<Reader,String> transformer;
    
    
    public void setUp()
    {
        try
        {
            transformer = new XslTransformer( 
                new FileInputStream( "testtransform.xsl" ) );
            
        }
        catch( Exception e )
        {
            e.printStackTrace();
            fail( e.getMessage() );
        }
    }



    public void testTransform()
    {
        String testDoc = "<?xml version=\"1.0\"?>\n" +
                "<test>Hello World!</test>";
        String result = null;
        try
        {
            result = transformer.process( new StringReader(testDoc) );
        }
        catch( ProcessingException e )
        {
            fail( e.getMessage() );
        }

        assertEquals( "It works!", result );
    }

}
