package no.rune.mavenplugins.dla.utils;

import java.io.File;

import junit.framework.TestCase;


/**
 * @author Rune
 */
public class TestExtensionFileFilter extends TestCase
{

    private ExtensionFileFilter filter;
    
    /**
     * @param name
     */
    public TestExtensionFileFilter( String name )
    {
        super( name );
        filter = new ExtensionFileFilter()
        {
            public boolean accept( File pathname )
            {
                return false;
            }
        };
        
    }



    /**
     * Test method for {@link no.rune.mavenplugins.dla.utils.ExtensionFileFilter#extension(java.io.File)}.
     */
    public void testExtension()
    {
        assertEquals( "txt", filter.extension( new File("test.txt") ) );
        assertEquals( "gz", filter.extension( new File("test.tar.gz") ) );
        assertEquals( "htconf", filter.extension( new File(".htconf") ) );
        assertNull( filter.extension( new File("README") ));
    }

    public void testGotExtension()
    {
        assertTrue( filter.gotExtension( new File("test.txt"), "txt" ) );
        assertFalse( filter.gotExtension( new File("test.tar.gz"), "tar.gz" ) );
        assertFalse( filter.gotExtension( null, "txt" ) );
    }
    
}
