package no.rune.shellexecute;


/**
 * Exception which occurs when using a non-flag argument without the
 * required post string.
 * 
 * @author Rune Flobakk
 */
public class MissingPostStringException extends Exception
{
    /**
     * @see java.lang.Exception#Exception()
     */
    public MissingPostStringException()
    {
        super( "An non-flag argument is missing required post string." );
    }

    /**
     * @see java.lang.Exception#Exception(String)
     */
    public MissingPostStringException( String msg )
    {
        super( msg );
    }
}
