package no.rune.shellexecute;


/**
 * Exception which occurs whenever trying to do an operation/retrieval on
 * a post string of a flag type {@link no.rune.shellexecute.Argument}.
 * 
 * @author Rune Flobakk
 */
public class PostStringNotAllowedException extends Exception
{

    /**
     * @see java.lang.Exception#Exception()
     */
    public PostStringNotAllowedException()
    {
        this( "A command line argument which is a flag type cannot be " +
                "followed by a post-string." );
    }
    
    
    /**
     * @see java.lang.Exception#Exception(String)
     */
    public PostStringNotAllowedException( String msg )
    {
        super( msg );
    }

}
