package no.rune.shellexecute;

import junit.framework.TestCase;


public class TestSimpleStringArgument extends TestCase
{


    public void testAsString()
    {
        assertEquals( "blah", new SimpleStringArgument("blah").asString() );
    }



    public void testIsFlag()
    {
        assertTrue( new SimpleStringArgument("blah").isFlag() );
    }



    public void testEqualsObject()
    {
        assertEquals( new SimpleStringArgument( "blah" ),
            new SimpleStringArgument("blah") );
    }



    public void testCreateArguments() throws MissingPostStringException
    {
        
        Argument[] args =
            SimpleStringArgument.createArguments( "arg1", "arg2", "arg3" );
        assertEquals( "arg1", args[0].asString() );
        assertEquals( "arg2", args[1].asString() );
        assertEquals( "arg3", args[2].asString() );
        
        Arguments theArgs = new SpaceDelimitedArguments();
        theArgs.addArguments( args );
        assertEquals( "arg1 arg2 arg3", theArgs.toString() );
    }
    
    
    public void testSequenceIntegrity() throws MissingPostStringException
    {
        Arguments arguments = new SpaceDelimitedArguments();

        arguments.addArgument( new SimpleStringArgument( "test" ) );
        arguments.addArgument( new SimpleStringArgument( "bogus" ) );
        arguments.addArgument( new SimpleStringArgument( "dummy" ) );
        arguments.addArgument( new SimpleStringArgument( "bogus" ) );

        
        assertEquals( "test bogus dummy", arguments.toString() );
        

    }
    

}
