package no.rune.mavenplugins.xslt;


import java.io.File;
import java.io.FileFilter;


/**
 * A base class for <code>FileFilter</code>s based on file extensions.
 * It contains a helper method to determine the extension of a pathname. 
 * 
 * @author Rune Flobakk
 */
public abstract class ExtensionFileFilter implements FileFilter
{


    protected boolean gotExtension( File pathname, String ext )
    {
        return ext.equals( extension( pathname ) );
    }
    
    protected String extension( File pathname )
    {
        if( pathname == null )
            return null;
        
        String file = pathname.getName();
        int dotPos = file.lastIndexOf( '.' );
        if( dotPos >= 0 )
            return file.substring( dotPos + 1 );
        else
            return null;
    }
    
}
